Subject: Fw: Problems with cvs and diff
From: [email-masked] ("Ken Miller")

21 Mar 1997 00:15:06 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "GNU Win32 Mailing List" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

> > I looked at the diff source, and found that the problem occurs in the
> > check_stdout() function in diff.c.  It is complaining that stdout is an
> > invaild file handle.
> 
> How do you get that?  check_stdout prints "write error" if either there
> was an I/O error on a previous write (in which case it is too late
> to know what sort of error it was) or if fclose fails.  You couldn't
> know that fclose failed with "invalid file handle" just looking at the
> source.

Sorry, I neglected to indicate that I re-compiled the source with a wee bit
of debugging code to display what was causing the error.  ferror() returned
an error which, by using perror(), indicated that the handle was invalid.

I checked the archives, and didn't find any messages from Victor, nor any
on cvs
or diff.
 
Cheers!

	-klm.

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".